## com.bbn.openmap.layer.shape
Class NumAndBox

    java.lang.Object
      com.bbn.openmap.layer.shape.NumAndBox

public class NumAndBox
extends java.lang.Object

A class used as a application object by OMGeometry objects, letting them keep track of their record number (noted by their place in the Shape file) and bounding box.

Field Summary
`protected ESRIBoundingBox` `bbox`
`protected int` `recNum`

Constructor Summary
`NumAndBox(int recordNumber, ESRIBoundingBox box)`

Method Summary
`ESRIBoundingBox` `getBoundingBox()`
`int` `getRecNum()`
`void` `setBoundingBox(ESRIBoundingBox box)`
`void` `setRecNum(int number)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recNum

    protected int recNum

### bbox

    protected ESRIBoundingBox bbox

Constructor Detail

### NumAndBox

    public NumAndBox(int recordNumber,
                     ESRIBoundingBox box)

Method Detail

### setRecNum

    public void setRecNum(int number)

### getRecNum

    public int getRecNum()

### setBoundingBox

    public void setBoundingBox(ESRIBoundingBox box)

### getBoundingBox

    public ESRIBoundingBox getBoundingBox()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details